
DROP TABLE IF EXISTS p30_common.cust_chat_ccc_record;
CREATE TABLE IF NOT EXISTS p30_common.cust_chat_ccc_record (
	 chat_unique_id  VARCHAR(50) 
	, contact_channel  VARCHAR(10) 
	, contact_app_id  VARCHAR(50) 
	, app_name  VARCHAR(50) 
	, visitor_id  VARCHAR(50) 
	, ccc_contact_id  varchar(20) 
	, robot_id  VARCHAR(10) 
	, robot_name  VARCHAR(10) 
	, robot_start_time  timestamp(0) 
	, robot_end_time  timestamp(0) 
	, queue_no  VARCHAR(10) 
	, queue_name  VARCHAR(10) 
	, client_no  VARCHAR(10) 
	, client_name  VARCHAR(10) 
	, chat_duration_type  VARCHAR(10) 
	, close_status  VARCHAR(10) 
	, close_reason  VARCHAR(10) 
	, open_type  VARCHAR(10) 
	, first_response_duration  int4 
	, start_time  timestamp(0) 
	, end_time  timestamp(0) 
	, chat_duration_in_seconds  int 
	, queue_time  int4 
	, join_queue_time  timestamp(0) 
	, bridge_time  timestamp(0) 
	, session_type  VARCHAR(10) 
	, chat_valid_session  VARCHAR(10) 
	, comment_session  VARCHAR(10) 
	, invitation_initiator  VARCHAR(10) 
	, satisfaction_keys  VARCHAR(10) 
	, satisfaction_remark  VARCHAR(10) 
	, visitor_ip  VARCHAR(20) 
	, visitor_region  VARCHAR(20) 
	, chat_times  int4 
	, invited_times  int4 
	, search_word  VARCHAR(20) 
	, operating_system  VARCHAR(50) 
	, browser  VARCHAR(50) 
	, referer_url  text 
	, first_visit_page_url  text 
	, initiation_page_url  text 
	, visit_tracks  text 
	, visitor_extra_info  text 
	, device_type  VARCHAR(20) 
	, contact_app_type  VARCHAR(10) 
	, visitor_province  VARCHAR(10) 
	, visitor_city  VARCHAR(10) 
	, referer_name  text 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( chat_unique_id )
);

 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.chat_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.contact_channel IS '接入渠道'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.contact_app_id IS '接入号ID'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.app_name IS '接入号名称'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.visitor_id IS '访客ID'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.ccc_contact_id IS 'ccc联系编号'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.robot_id IS '机器人客服ID'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.robot_name IS '机器人客服名称'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.robot_start_time IS '机器人客服接入会话时间戳'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.robot_end_time IS '机器人客服结束会话时间戳'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.queue_no IS '接入队列号'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.queue_name IS '队列名称'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.client_no IS '接待座席号'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.client_name IS '座席名称'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.chat_duration_type IS '接待类型'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.close_status IS '会话结束时状态'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.close_reason IS '会话结束原因'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.open_type IS '会话发起方式'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.first_response_duration IS '座席首次响应时长'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.start_time IS '会话开始时间戳'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.end_time IS '会话结束时间戳'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.chat_duration_in_seconds IS '会话持续时间'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.queue_time IS '排队时长'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.join_queue_time IS '接入队列时间戳'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.bridge_time IS '座席接入时间戳'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.session_type IS '会话是否有人工客服接入'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.chat_valid_session IS '是否是有效会话'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.comment_session IS '是否是通过留言发起的会话'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.invitation_initiator IS '满意度评价发起方式'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.satisfaction_keys IS '满意度评价'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.satisfaction_remark IS '满意度评价备注'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.visitor_ip IS '访客IP'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.visitor_region IS '访问地区'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.chat_times IS '会话次数'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.invited_times IS '被邀请次数'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.search_word IS '搜索词，通过对来源页解析，获取搜索参数参数。'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.operating_system IS '操作系统'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.browser IS '浏览器型号'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.referer_url IS '来源页'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.first_visit_page_url IS '着陆页'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.initiation_page_url IS '会话发起页'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.visit_tracks IS '浏览轨迹'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.visitor_extra_info IS '访客自定义参数'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.device_type IS '访客设备类型'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.contact_app_type IS '接入渠道类型'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.visitor_province IS '访客会话时所在省份'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.visitor_city IS '访客会话时所在城市'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.referer_name IS '访客来源'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p30_common.cust_chat_ccc_record.Src_Table IS '来源表'; 

COMMENT ON TABLE p30_common.cust_chat_ccc_record IS 'ccc-chat记录';