/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :cust_chat_ccc_record(ccc-chat记录)             */
/*Create Date:2024-09-18 18:42:23                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-08-14                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-09-18                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: :PDMDB.t01_ccc_chat_record                                                       */
/*Source table 2: :PDMDB.select replace(jsonb_array_elements(visitor_ids::jsonb)::text,'"','') as visitor_id ,row_number() over(partition by replace(jsonb_array_elements(visitor_ids::jsonb)::text,'"','') order by id desc) rn ,* from p30_common.d_ccc_cust_info dcci  
where visitor_ids <>''*/
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:cust_chat_ccc_record                                                                */
/*ETL Job Name:cust_chat_ccc_record                                                                */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F2                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE cust_chat_ccc_record_agi_CUR_I 
 ( LIKE :COMMDB.cust_chat_ccc_record)
ON COMMIT PRESERVE ROWS;



/*创建临时表加载不同数据                                                                           */
CREATE TEMPORARY TABLE cust_chat_ccc_record_agi_INS 
( LIKE :COMMDB.cust_chat_ccc_record)
ON COMMIT PRESERVE ROWS;

            
/*****************************************************************************************************/
/* GROUP 1:Source Table:t01_ccc_chat_record***********************************************************/
/*****************************************************************************************************/

INSERT INTO cust_chat_ccc_record_agi_CUR_I (
            chat_unique_id                          /*在线客服会话ID*/
           ,contact_channel                         /*接入渠道*/
           ,contact_app_id                          /*接入号ID*/
           ,app_name                                /*接入号名称*/
           ,visitor_id                              /*访客ID*/
           ,ccc_contact_id                          /*ccc联系编号*/
           ,robot_id                                /*机器人客服ID*/
           ,robot_name                              /*机器人客服名称*/
           ,robot_start_time                        /*机器人客服接入会话时间戳*/
           ,robot_end_time                          /*机器人客服结束会话时间戳*/
           ,queue_no                                /*接入队列号*/
           ,queue_name                              /*队列名称*/
           ,client_no                               /*接待座席号*/
           ,client_name                             /*座席名称*/
           ,chat_duration_type                      /*接待类型*/
           ,close_status                            /*会话结束时状态*/
           ,close_reason                            /*会话结束原因*/
           ,open_type                               /*会话发起方式*/
           ,first_response_duration                 /*座席首次响应时长*/
           ,start_time                              /*会话开始时间戳*/
           ,end_time                                /*会话结束时间戳*/
           ,chat_duration_in_seconds                /*会话持续时间*/
           ,queue_time                              /*排队时长*/
           ,join_queue_time                         /*接入队列时间戳*/
           ,bridge_time                             /*座席接入时间戳*/
           ,session_type                            /*会话是否有人工客服接入*/
           ,chat_valid_session                      /*是否是有效会话*/
           ,comment_session                         /*是否是通过留言发起的会话*/
           ,invitation_initiator                    /*满意度评价发起方式*/
           ,satisfaction_keys                       /*满意度评价*/
           ,satisfaction_remark                     /*满意度评价备注*/
           ,visitor_ip                              /*访客IP*/
           ,visitor_region                          /*访问地区*/
           ,chat_times                              /*会话次数*/
           ,invited_times                           /*被邀请次数*/
           ,search_word                             /*搜索词，通过对来源页解析，获取搜索参数参数。*/
           ,operating_system                        /*操作系统*/
           ,browser                                 /*浏览器型号*/
           ,referer_url                             /*来源页*/
           ,first_visit_page_url                    /*着陆页*/
           ,initiation_page_url                     /*会话发起页*/
           ,visit_tracks                            /*浏览轨迹*/
           ,visitor_extra_info                      /*访客自定义参数*/
           ,device_type                             /*访客设备类型*/
           ,contact_app_type                        /*接入渠道类型*/
           ,visitor_province                        /*访客会话时所在省份*/
           ,visitor_city                            /*访客会话时所在城市*/
           ,referer_name                            /*访客来源*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
        )
SELECT
         COALESCE(TRIM(p0.chat_unique_id),'')                      /*chat_unique_id*/
        ,COALESCE(TRIM(p0.contact_channel),'')                     /*contact_channel*/
        ,COALESCE(TRIM(p0.contact_app_id),'')                      /*contact_app_id*/
        ,COALESCE(TRIM(p0.app_namecontact_),'')                    /*app_name*/
        ,COALESCE(TRIM(p0.visitor_id),'')                          /*visitor_id*/
        ,p1.id                                                     /*ccc_contact_id*/
        ,COALESCE(TRIM(p0.robot_id),'')                            /*robot_id*/
        ,COALESCE(TRIM(p0.robot_name),'')                          /*robot_name*/
        ,COALESCE(p0.robot_start_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*robot_start_time*/
        ,COALESCE(p0.robot_end_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*robot_end_time*/
        ,COALESCE(TRIM(p0.queue_no),'')                            /*queue_no*/
        ,COALESCE(TRIM(p0.queue_name),'')                          /*queue_name*/
        ,COALESCE(TRIM(p0.client_no),'')                           /*client_no*/
        ,COALESCE(TRIM(p0.client_name),'')                         /*client_name*/
        ,COALESCE(TRIM(p0.chat_duration_type),'')                  /*chat_duration_type*/
        ,COALESCE(TRIM(p0.close_status),'')                        /*close_status*/
        ,COALESCE(TRIM(p0.close_reason),'')                        /*close_reason*/
        ,COALESCE(TRIM(p0.open_type),'')                           /*open_type*/
        ,COALESCE(p0.first_response_duration,0)                    /*first_response_duration*/
        ,COALESCE(p0.start_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*start_time*/
        ,COALESCE(p0.end_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*end_time*/
        ,EXTRACT(EPOCH FROM (end_time - start_time))               /*chat_duration_in_seconds*/
        ,COALESCE(p0.queue_time,0)                                 /*queue_time*/
        ,COALESCE(p0.join_queue_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*join_queue_time*/
        ,COALESCE(p0.bridge_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*bridge_time*/
        ,COALESCE(TRIM(p0.session_type),'')                        /*session_type*/
        ,COALESCE(TRIM(p0.chat_valid_session),'')                  /*chat_valid_session*/
        ,COALESCE(TRIM(p0.comment_session),'')                     /*comment_session*/
        ,COALESCE(TRIM(p0.invitation_initiator),'')                /*invitation_initiator*/
        ,COALESCE(TRIM(p0.satisfaction_keys),'')                   /*satisfaction_keys*/
        ,COALESCE(TRIM(p0.satisfaction_remark),'')                 /*satisfaction_remark*/
        ,COALESCE(TRIM(p0.visitor_ip),'')                          /*visitor_ip*/
        ,COALESCE(TRIM(p0.visitor_region),'')                      /*visitor_region*/
        ,COALESCE(p0.chat_times,0)                                 /*chat_times*/
        ,COALESCE(p0.invited_times,0)                              /*invited_times*/
        ,COALESCE(TRIM(p0.search_word),'')                         /*search_word*/
        ,COALESCE(TRIM(p0.operating_system),'')                    /*operating_system*/
        ,COALESCE(TRIM(p0.browser),'')                             /*browser*/
        ,COALESCE(TRIM(p0.referer_url),'')                         /*referer_url*/
        ,COALESCE(TRIM(p0.first_visit_page_url),'')                /*first_visit_page_url*/
        ,COALESCE(TRIM(p0.initiation_page_url),'')                 /*initiation_page_url*/
        ,COALESCE(TRIM(p0.visit_tracks),'')                        /*visit_tracks*/
        ,COALESCE(TRIM(p0.visitor_extra_info),'')                  /*visitor_extra_info*/
        ,COALESCE(TRIM(p0.device_type),'')                         /*device_type*/
        ,COALESCE(TRIM(p0.contact_app_type),'')                    /*contact_app_type*/
        ,COALESCE(TRIM(p0.visitor_province),'')                    /*visitor_province*/
        ,COALESCE(TRIM(p0.visitor_city),'')                        /*visitor_city*/
        ,COALESCE(TRIM(p0.referer_name),'')                        /*referer_name*/
        ,0                                                         /*Etl_Batch_No*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,Substr('t01_ccc_chat_record',1,3)                         /*Src_Sysname*/
        ,'t01_ccc_chat_record'                                     /*Src_Table*/
        
FROM :PDMDB.t01_ccc_chat_record  p0
LEFT JOIN (select replace(jsonb_array_elements(visitor_ids::jsonb)::text,'"','') as visitor_id ,row_number() over(partition by replace(jsonb_array_elements(visitor_ids::jsonb)::text,'"','') order by id desc) rn ,* from p30_common.d_ccc_cust_info dcci  
where visitor_ids <>'') p1
        ON p0 .visitor_id =p1 .visitor_id 
and p1.rn=1
where p0 .app_namecontact_  in ('CN官网','TW官网','Susan Jiang','泰克科技 Joe Liu','Lily Cao','Kuang Chunyu','Tina Zhang') and chat_duration_type <> '9'

;



/*将不同数据插入到临时表                                                                           */
;INSERT INTO cust_chat_ccc_record_agi_INS (
         contact_channel                                           /*接入渠道*/
        ,contact_app_id                                            /*接入号ID*/
        ,app_name                                                  /*接入号名称*/
        ,visitor_id                                                /*访客ID*/
        ,ccc_contact_id                                            /*ccc联系编号*/
        ,robot_id                                                  /*机器人客服ID*/
        ,robot_name                                                /*机器人客服名称*/
        ,robot_start_time                                          /*机器人客服接入会话时间戳*/
        ,robot_end_time                                            /*机器人客服结束会话时间戳*/
        ,queue_no                                                  /*接入队列号*/
        ,queue_name                                                /*队列名称*/
        ,client_no                                                 /*接待座席号*/
        ,client_name                                               /*座席名称*/
        ,chat_duration_type                                        /*接待类型*/
        ,close_status                                              /*会话结束时状态*/
        ,close_reason                                              /*会话结束原因*/
        ,open_type                                                 /*会话发起方式*/
        ,first_response_duration                                   /*座席首次响应时长*/
        ,start_time                                                /*会话开始时间戳*/
        ,end_time                                                  /*会话结束时间戳*/
        ,chat_duration_in_seconds                                  /*会话持续时间*/
        ,queue_time                                                /*排队时长*/
        ,join_queue_time                                           /*接入队列时间戳*/
        ,bridge_time                                               /*座席接入时间戳*/
        ,session_type                                              /*会话是否有人工客服接入*/
        ,chat_valid_session                                        /*是否是有效会话*/
        ,comment_session                                           /*是否是通过留言发起的会话*/
        ,invitation_initiator                                      /*满意度评价发起方式*/
        ,satisfaction_keys                                         /*满意度评价*/
        ,satisfaction_remark                                       /*满意度评价备注*/
        ,visitor_ip                                                /*访客IP*/
        ,visitor_region                                            /*访问地区*/
        ,chat_times                                                /*会话次数*/
        ,invited_times                                             /*被邀请次数*/
        ,search_word                                               /*搜索词，通过对来源页解析，获取搜索参数参数。*/
        ,operating_system                                          /*操作系统*/
        ,browser                                                   /*浏览器型号*/
        ,referer_url                                               /*来源页*/
        ,first_visit_page_url                                      /*着陆页*/
        ,initiation_page_url                                       /*会话发起页*/
        ,visit_tracks                                              /*浏览轨迹*/
        ,visitor_extra_info                                        /*访客自定义参数*/
        ,device_type                                               /*访客设备类型*/
        ,contact_app_type                                          /*接入渠道类型*/
        ,visitor_province                                          /*访客会话时所在省份*/
        ,visitor_city                                              /*访客会话时所在城市*/
        ,referer_name                                              /*访客来源*/
        ,chat_unique_id                                            /*在线客服会话ID*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
    SELECT
         P1.contact_channel                                           /*接入渠道*/
        ,P1.contact_app_id                                            /*接入号ID*/
        ,P1.app_name                                                  /*接入号名称*/
        ,P1.visitor_id                                                /*访客ID*/
        ,P1.ccc_contact_id                                            /*ccc联系编号*/
        ,P1.robot_id                                                  /*机器人客服ID*/
        ,P1.robot_name                                                /*机器人客服名称*/
        ,P1.robot_start_time                                          /*机器人客服接入会话时间戳*/
        ,P1.robot_end_time                                            /*机器人客服结束会话时间戳*/
        ,P1.queue_no                                                  /*接入队列号*/
        ,P1.queue_name                                                /*队列名称*/
        ,P1.client_no                                                 /*接待座席号*/
        ,P1.client_name                                               /*座席名称*/
        ,P1.chat_duration_type                                        /*接待类型*/
        ,P1.close_status                                              /*会话结束时状态*/
        ,P1.close_reason                                              /*会话结束原因*/
        ,P1.open_type                                                 /*会话发起方式*/
        ,P1.first_response_duration                                   /*座席首次响应时长*/
        ,P1.start_time                                                /*会话开始时间戳*/
        ,P1.end_time                                                  /*会话结束时间戳*/
        ,P1.chat_duration_in_seconds                                  /*会话持续时间*/
        ,P1.queue_time                                                /*排队时长*/
        ,P1.join_queue_time                                           /*接入队列时间戳*/
        ,P1.bridge_time                                               /*座席接入时间戳*/
        ,P1.session_type                                              /*会话是否有人工客服接入*/
        ,P1.chat_valid_session                                        /*是否是有效会话*/
        ,P1.comment_session                                           /*是否是通过留言发起的会话*/
        ,P1.invitation_initiator                                      /*满意度评价发起方式*/
        ,P1.satisfaction_keys                                         /*满意度评价*/
        ,P1.satisfaction_remark                                       /*满意度评价备注*/
        ,P1.visitor_ip                                                /*访客IP*/
        ,P1.visitor_region                                            /*访问地区*/
        ,P1.chat_times                                                /*会话次数*/
        ,P1.invited_times                                             /*被邀请次数*/
        ,P1.search_word                                               /*搜索词，通过对来源页解析，获取搜索参数参数。*/
        ,P1.operating_system                                          /*操作系统*/
        ,P1.browser                                                   /*浏览器型号*/
        ,P1.referer_url                                               /*来源页*/
        ,P1.first_visit_page_url                                      /*着陆页*/
        ,P1.initiation_page_url                                       /*会话发起页*/
        ,P1.visit_tracks                                              /*浏览轨迹*/
        ,P1.visitor_extra_info                                        /*访客自定义参数*/
        ,P1.device_type                                               /*访客设备类型*/
        ,P1.contact_app_type                                          /*接入渠道类型*/
        ,P1.visitor_province                                          /*访客会话时所在省份*/
        ,P1.visitor_city                                              /*访客会话时所在城市*/
        ,P1.referer_name                                              /*访客来源*/
        ,P1.chat_unique_id                                            /*在线客服会话ID*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM cust_chat_ccc_record_agi_CUR_I P1
LEFT JOIN :COMMDB.cust_chat_ccc_record P2
ON    P1.contact_channel = P2.contact_channel
    AND P1.contact_app_id = P2.contact_app_id
    AND P1.app_name = P2.app_name
    AND P1.visitor_id = P2.visitor_id
    AND P1.ccc_contact_id = P2.ccc_contact_id
    AND P1.robot_id = P2.robot_id
    AND P1.robot_name = P2.robot_name
    AND P1.robot_start_time = P2.robot_start_time
    AND P1.robot_end_time = P2.robot_end_time
    AND P1.queue_no = P2.queue_no
    AND P1.queue_name = P2.queue_name
    AND P1.client_no = P2.client_no
    AND P1.client_name = P2.client_name
    AND P1.chat_duration_type = P2.chat_duration_type
    AND P1.close_status = P2.close_status
    AND P1.close_reason = P2.close_reason
    AND P1.open_type = P2.open_type
    AND P1.first_response_duration = P2.first_response_duration
    AND P1.start_time = P2.start_time
    AND P1.end_time = P2.end_time
    AND P1.chat_duration_in_seconds = P2.chat_duration_in_seconds
    AND P1.queue_time = P2.queue_time
    AND P1.join_queue_time = P2.join_queue_time
    AND P1.bridge_time = P2.bridge_time
    AND P1.session_type = P2.session_type
    AND P1.chat_valid_session = P2.chat_valid_session
    AND P1.comment_session = P2.comment_session
    AND P1.invitation_initiator = P2.invitation_initiator
    AND P1.satisfaction_keys = P2.satisfaction_keys
    AND P1.satisfaction_remark = P2.satisfaction_remark
    AND P1.visitor_ip = P2.visitor_ip
    AND P1.visitor_region = P2.visitor_region
    AND P1.chat_times = P2.chat_times
    AND P1.invited_times = P2.invited_times
    AND P1.search_word = P2.search_word
    AND P1.operating_system = P2.operating_system
    AND P1.browser = P2.browser
    AND P1.referer_url = P2.referer_url
    AND P1.first_visit_page_url = P2.first_visit_page_url
    AND P1.initiation_page_url = P2.initiation_page_url
    AND P1.visit_tracks = P2.visit_tracks
    AND P1.visitor_extra_info = P2.visitor_extra_info
    AND P1.device_type = P2.device_type
    AND P1.contact_app_type = P2.contact_app_type
    AND P1.visitor_province = P2.visitor_province
    AND P1.visitor_city = P2.visitor_city
    AND P1.referer_name = P2.referer_name
    AND P1.chat_unique_id = P2.chat_unique_id
    
WHERE  P2.contact_channel IS NULL
    OR P2.contact_app_id IS NULL
    OR P2.app_name IS NULL
    OR P2.visitor_id IS NULL
    OR P2.ccc_contact_id IS NULL
    OR P2.robot_id IS NULL
    OR P2.robot_name IS NULL
    OR P2.robot_start_time IS NULL
    OR P2.robot_end_time IS NULL
    OR P2.queue_no IS NULL
    OR P2.queue_name IS NULL
    OR P2.client_no IS NULL
    OR P2.client_name IS NULL
    OR P2.chat_duration_type IS NULL
    OR P2.close_status IS NULL
    OR P2.close_reason IS NULL
    OR P2.open_type IS NULL
    OR P2.first_response_duration IS NULL
    OR P2.start_time IS NULL
    OR P2.end_time IS NULL
    OR P2.chat_duration_in_seconds IS NULL
    OR P2.queue_time IS NULL
    OR P2.join_queue_time IS NULL
    OR P2.bridge_time IS NULL
    OR P2.session_type IS NULL
    OR P2.chat_valid_session IS NULL
    OR P2.comment_session IS NULL
    OR P2.invitation_initiator IS NULL
    OR P2.satisfaction_keys IS NULL
    OR P2.satisfaction_remark IS NULL
    OR P2.visitor_ip IS NULL
    OR P2.visitor_region IS NULL
    OR P2.chat_times IS NULL
    OR P2.invited_times IS NULL
    OR P2.search_word IS NULL
    OR P2.operating_system IS NULL
    OR P2.browser IS NULL
    OR P2.referer_url IS NULL
    OR P2.first_visit_page_url IS NULL
    OR P2.initiation_page_url IS NULL
    OR P2.visit_tracks IS NULL
    OR P2.visitor_extra_info IS NULL
    OR P2.device_type IS NULL
    OR P2.contact_app_type IS NULL
    OR P2.visitor_province IS NULL
    OR P2.visitor_city IS NULL
    OR P2.referer_name IS NULL
    OR P2.chat_unique_id IS NULL
    
; 
/*将新增数据插入到目标表                                                                           */
;INSERT INTO :COMMDB.cust_chat_ccc_record (
         contact_channel                                           /*接入渠道*/
        ,contact_app_id                                            /*接入号ID*/
        ,app_name                                                  /*接入号名称*/
        ,visitor_id                                                /*访客ID*/
        ,ccc_contact_id                                            /*ccc联系编号*/
        ,robot_id                                                  /*机器人客服ID*/
        ,robot_name                                                /*机器人客服名称*/
        ,robot_start_time                                          /*机器人客服接入会话时间戳*/
        ,robot_end_time                                            /*机器人客服结束会话时间戳*/
        ,queue_no                                                  /*接入队列号*/
        ,queue_name                                                /*队列名称*/
        ,client_no                                                 /*接待座席号*/
        ,client_name                                               /*座席名称*/
        ,chat_duration_type                                        /*接待类型*/
        ,close_status                                              /*会话结束时状态*/
        ,close_reason                                              /*会话结束原因*/
        ,open_type                                                 /*会话发起方式*/
        ,first_response_duration                                   /*座席首次响应时长*/
        ,start_time                                                /*会话开始时间戳*/
        ,end_time                                                  /*会话结束时间戳*/
        ,chat_duration_in_seconds                                  /*会话持续时间*/
        ,queue_time                                                /*排队时长*/
        ,join_queue_time                                           /*接入队列时间戳*/
        ,bridge_time                                               /*座席接入时间戳*/
        ,session_type                                              /*会话是否有人工客服接入*/
        ,chat_valid_session                                        /*是否是有效会话*/
        ,comment_session                                           /*是否是通过留言发起的会话*/
        ,invitation_initiator                                      /*满意度评价发起方式*/
        ,satisfaction_keys                                         /*满意度评价*/
        ,satisfaction_remark                                       /*满意度评价备注*/
        ,visitor_ip                                                /*访客IP*/
        ,visitor_region                                            /*访问地区*/
        ,chat_times                                                /*会话次数*/
        ,invited_times                                             /*被邀请次数*/
        ,search_word                                               /*搜索词，通过对来源页解析，获取搜索参数参数。*/
        ,operating_system                                          /*操作系统*/
        ,browser                                                   /*浏览器型号*/
        ,referer_url                                               /*来源页*/
        ,first_visit_page_url                                      /*着陆页*/
        ,initiation_page_url                                       /*会话发起页*/
        ,visit_tracks                                              /*浏览轨迹*/
        ,visitor_extra_info                                        /*访客自定义参数*/
        ,device_type                                               /*访客设备类型*/
        ,contact_app_type                                          /*接入渠道类型*/
        ,visitor_province                                          /*访客会话时所在省份*/
        ,visitor_city                                              /*访客会话时所在城市*/
        ,referer_name                                              /*访客来源*/
        ,chat_unique_id                                            /*在线客服会话ID*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
SELECT
         P1.contact_channel                                           /*接入渠道*/
        ,P1.contact_app_id                                            /*接入号ID*/
        ,P1.app_name                                                  /*接入号名称*/
        ,P1.visitor_id                                                /*访客ID*/
        ,P1.ccc_contact_id                                            /*ccc联系编号*/
        ,P1.robot_id                                                  /*机器人客服ID*/
        ,P1.robot_name                                                /*机器人客服名称*/
        ,P1.robot_start_time                                          /*机器人客服接入会话时间戳*/
        ,P1.robot_end_time                                            /*机器人客服结束会话时间戳*/
        ,P1.queue_no                                                  /*接入队列号*/
        ,P1.queue_name                                                /*队列名称*/
        ,P1.client_no                                                 /*接待座席号*/
        ,P1.client_name                                               /*座席名称*/
        ,P1.chat_duration_type                                        /*接待类型*/
        ,P1.close_status                                              /*会话结束时状态*/
        ,P1.close_reason                                              /*会话结束原因*/
        ,P1.open_type                                                 /*会话发起方式*/
        ,P1.first_response_duration                                   /*座席首次响应时长*/
        ,P1.start_time                                                /*会话开始时间戳*/
        ,P1.end_time                                                  /*会话结束时间戳*/
        ,P1.chat_duration_in_seconds                                  /*会话持续时间*/
        ,P1.queue_time                                                /*排队时长*/
        ,P1.join_queue_time                                           /*接入队列时间戳*/
        ,P1.bridge_time                                               /*座席接入时间戳*/
        ,P1.session_type                                              /*会话是否有人工客服接入*/
        ,P1.chat_valid_session                                        /*是否是有效会话*/
        ,P1.comment_session                                           /*是否是通过留言发起的会话*/
        ,P1.invitation_initiator                                      /*满意度评价发起方式*/
        ,P1.satisfaction_keys                                         /*满意度评价*/
        ,P1.satisfaction_remark                                       /*满意度评价备注*/
        ,P1.visitor_ip                                                /*访客IP*/
        ,P1.visitor_region                                            /*访问地区*/
        ,P1.chat_times                                                /*会话次数*/
        ,P1.invited_times                                             /*被邀请次数*/
        ,P1.search_word                                               /*搜索词，通过对来源页解析，获取搜索参数参数。*/
        ,P1.operating_system                                          /*操作系统*/
        ,P1.browser                                                   /*浏览器型号*/
        ,P1.referer_url                                               /*来源页*/
        ,P1.first_visit_page_url                                      /*着陆页*/
        ,P1.initiation_page_url                                       /*会话发起页*/
        ,P1.visit_tracks                                              /*浏览轨迹*/
        ,P1.visitor_extra_info                                        /*访客自定义参数*/
        ,P1.device_type                                               /*访客设备类型*/
        ,P1.contact_app_type                                          /*接入渠道类型*/
        ,P1.visitor_province                                          /*访客会话时所在省份*/
        ,P1.visitor_city                                              /*访客会话时所在城市*/
        ,P1.referer_name                                              /*访客来源*/
        ,P1.chat_unique_id                                            /*在线客服会话ID*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM cust_chat_ccc_record_agi_INS P1
ON CONFLICT ( chat_unique_id)
DO UPDATE SET
     chat_unique_id=excluded.chat_unique_id
    ,contact_channel=excluded.contact_channel
    ,contact_app_id=excluded.contact_app_id
    ,app_name=excluded.app_name
    ,visitor_id=excluded.visitor_id
    ,ccc_contact_id=excluded.ccc_contact_id
    ,robot_id=excluded.robot_id
    ,robot_name=excluded.robot_name
    ,robot_start_time=excluded.robot_start_time
    ,robot_end_time=excluded.robot_end_time
    ,queue_no=excluded.queue_no
    ,queue_name=excluded.queue_name
    ,client_no=excluded.client_no
    ,client_name=excluded.client_name
    ,chat_duration_type=excluded.chat_duration_type
    ,close_status=excluded.close_status
    ,close_reason=excluded.close_reason
    ,open_type=excluded.open_type
    ,first_response_duration=excluded.first_response_duration
    ,start_time=excluded.start_time
    ,end_time=excluded.end_time
    ,chat_duration_in_seconds=excluded.chat_duration_in_seconds
    ,queue_time=excluded.queue_time
    ,join_queue_time=excluded.join_queue_time
    ,bridge_time=excluded.bridge_time
    ,session_type=excluded.session_type
    ,chat_valid_session=excluded.chat_valid_session
    ,comment_session=excluded.comment_session
    ,invitation_initiator=excluded.invitation_initiator
    ,satisfaction_keys=excluded.satisfaction_keys
    ,satisfaction_remark=excluded.satisfaction_remark
    ,visitor_ip=excluded.visitor_ip
    ,visitor_region=excluded.visitor_region
    ,chat_times=excluded.chat_times
    ,invited_times=excluded.invited_times
    ,search_word=excluded.search_word
    ,operating_system=excluded.operating_system
    ,browser=excluded.browser
    ,referer_url=excluded.referer_url
    ,first_visit_page_url=excluded.first_visit_page_url
    ,initiation_page_url=excluded.initiation_page_url
    ,visit_tracks=excluded.visit_tracks
    ,visitor_extra_info=excluded.visitor_extra_info
    ,device_type=excluded.device_type
    ,contact_app_type=excluded.contact_app_type
    ,visitor_province=excluded.visitor_province
    ,visitor_city=excluded.visitor_city
    ,referer_name=excluded.referer_name
    ,Etl_Batch_No=excluded.Etl_Batch_No
    ,Etl_First_Dt=excluded.Etl_First_Dt
    ,Etl_Job=excluded.Etl_Job
    ,Etl_Proc_Dt=excluded.Etl_Proc_Dt
    ,Etl_Tx_Dt=excluded.Etl_Tx_Dt
    ,Src_Sysname=excluded.Src_Sysname
    ,Src_Table=excluded.Src_Table
    

;
/*****程序结束退出                                               */
\q

