
DROP TABLE IF EXISTS p30_common.cust_contact_mapping;
CREATE TABLE IF NOT EXISTS p30_common.cust_contact_mapping (
	 contact_id  VARCHAR(50) 
	, user_id  VARCHAR(50) 
	, crm_contact  text 
	, scrm_contact  text 
	, livechat_contact  text 
	, udesk_contact  text 
	, ccc_contact  text 
	, src_sysname  VARCHAR(50) 
	, src_table  VARCHAR(50) 
	, etl_job  VARCHAR(50) 
	, etl_first_dt  timestamp(0) 
	, etl_proc_dt  timestamp(0) 
	, etl_tx_dt  DATE 
	, etl_batch_no  VARCHAR(50) 
	,primary key( contact_id )
);

 COMMENT ON COLUMN p30_common.cust_contact_mapping.contact_id IS '联系编号'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.user_id IS '用户信息'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.crm_contact IS 'CRM信息'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.scrm_contact IS 'SCRM信息'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.livechat_contact IS 'Livechat客户信息'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.udesk_contact IS 'Udesk客户信息'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.ccc_contact IS 'ccc客户信息'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.src_sysname IS '来源系统'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.src_table IS '来源表'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.etl_job IS '作业名称'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.etl_first_dt IS '最初入库时间'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.etl_proc_dt IS '本次入库时间'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.etl_tx_dt IS '作业运行时间'; 
 COMMENT ON COLUMN p30_common.cust_contact_mapping.etl_batch_no IS '作业批次号'; 

COMMENT ON TABLE p30_common.cust_contact_mapping IS '客户联系方式映射';